<!DOCTYPE html>
<html lang="en">
    <!--
    * app/plugins/calendar/templates/calendar.tpl
    *
    * @package TP Calendar
    * @version 3.0
    * @author  Joey Kimsey <Joey@thetempusproject.com>
    * @link    https://TheTempusProject.com
    * @license https://opensource.org/licenses/MIT [MIT LICENSE]
    -->
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta property="og:url" content="{CURRENT_URL}">
        <meta name='twitter:card' content='summary' />
        <title>{TITLE}</title>
        <meta itemprop="name" content="{TITLE}">
        <meta name="twitter:title" content="{TITLE}">
        <meta property="og:title" content="{TITLE}">
        <meta name="description" content="{PAGE_DESCRIPTION}">
        <meta itemprop="description" content="{PAGE_DESCRIPTION}">
        <meta name="twitter:description" content="{PAGE_DESCRIPTION}">
        <meta property="og:description" content="{PAGE_DESCRIPTION}">
        <meta itemprop="image" content="{META_IMAGE}">
        <meta name="twitter:image" content="{META_IMAGE}">
        <meta property="og:image" content="{META_IMAGE}">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="author" content="The Tempus Project">
        {ROBOT}
        <link rel="alternate" hreflang="en-us" href="alternateURL">
        <link rel="icon" href="{ROOT_URL}images/favicon.ico">
        <!-- Required CSS -->
        <link rel="stylesheet" href="{FONT_AWESOME_URL}font-awesome.min.css" crossorigin="anonymous">
        <link rel="stylesheet" href="{BOOTSTRAP_CDN}css/bootstrap-theme.min.css" crossorigin="anonymous">
        <link rel="stylesheet" href="{BOOTSTRAP_CDN}css/bootstrap.min.css" crossorigin="anonymous">
        <!-- RSS -->
        <link rel="alternate" href="{ROOT_URL}blog/rss" title="{TITLE} Feed" type="application/rss+xml" />
        <!-- Custom styles for this template -->
        <link rel="stylesheet" href="{ROOT_URL}app/plugins/notes/css/notes.css" />
        {TEMPLATE_CSS_INCLUDES}
    </head>
    <body>
        <!-- Top / Main Nav -->
        <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
            <!-- Name and dropdown-->
            <div class="navbar-header">
                <a href="{ROOT_URL}" class="navbar-brand">{SITENAME}</a>
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
            </div>
            <!-- Right Menu Dropdown -->
            <div class="container-fluid">
                <div class="collapse navbar-collapse navbar-ex1-collapse">
                    {topNavLeft}
                    <div class="navbar-right">
                        <ul class="nav navbar-nav">
                            {topNavRight}
                        </ul>
                    </div>
                </div>
            </div>
        </nav>
        <div class="sidebar col-lg-4">
            <!-- Notebooks Sidebar -->
            <div class="notebook-sidebar">
                {notebookSidebar}
            </div>
            <!-- Notes Sidebar -->
            <div class="notes-sidebar">
                {notesSidebar}
            </div>
        </div>
        <!-- Main content area -->
        <div class="content-area left-nav-buffer col-lg-8">
            <div class="container-fluid">
                {ISSUES}
                <div class="row">
                    <div class="container">
                        {ERROR}
                        {NOTICE}
                        {SUCCESS}
                    </div>
                </div>
                {/ISSUES}
                <div class="row">
                    <div class="container">
                        {NotesNav}
                        {CONTENT}
                    </div>
                </div>
            </div>
        </div>
        <!-- Footer -->
        <footer>
            <div class="sticky-foot">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 text-center sticky-copy">
                    <p class="text-muted">Powered by <a href="https://thetempusproject.com">The Tempus Project</a>.</p>
                </div>
            </div>
        </footer>
        <!-- Bootstrap core JavaScript and jquery -->
        <script src="{JQUERY_CDN}jquery.min.js" crossorigin="anonymous"></script>
        <script src="{BOOTSTRAP_CDN}js/bootstrap.min.js" crossorigin="anonymous"></script>
        <!-- Custom javascript for this template -->
        {TEMPLATE_JS_INCLUDES}
    </body>
</html>